/**
 * XXXX
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (10/05/07)
 */    
package com.ejie.p06b.tags;

import java.util.Date;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.TagSupport;

import com.ejie.p06b.general.P06BConstantes;
import com.ejie.p06b.util.P06BFecha;
import com.ejie.p06b.xlnet.P06BPerfilUsuario;

public class P06BFechaTag extends TagSupport{
	
	public int doStartTag() throws JspException {
	    try{
	    	HttpServletRequest request = (HttpServletRequest)pageContext.getRequest();
	    	P06BPerfilUsuario lPerfil = (P06BPerfilUsuario)request.getSession().getAttribute(P06BConstantes.P06B_VAR_PERFIL_USUARIO);
	    	String fechaActualStr = P06BFecha.getFechaFormateada(new Date(),lPerfil.getLocale());
	    	pageContext.getOut().print(fechaActualStr);   
	    } catch (Exception e) {
	        throw new JspException ("Error: IOException" + 
			e.getMessage());
	    }
	    return SKIP_BODY;
	}
	
    public int doEndTag() throws JspException {
        return EVAL_PAGE;
    }
}
